<template>
  <UFormField :label="label">
    <UInput v-model="modelValue" />
  </UFormField>
</template>

<script setup lang="ts">
import type { FormOptionDto } from '~/.api-client'

const props = defineProps<{
  label?: string
  formOptions: FormOptionDto[]
}>()

const emit = defineEmits<{
  (e: 'update:formOptions', value: FormOptionDto[]): void
}>()

const modelValue = computed({
  get: () => props.formOptions?.[0].value ?? '',
  set: (val) => {
    if (val && props.formOptions?.[0].value) {
      const updatedModelValue = [...props.formOptions]
      updatedModelValue[0] = { ...updatedModelValue[0], value: val.toString() }
      emit('update:formOptions', updatedModelValue)
    }
  }
})
</script>
